<template>
    <div class="header-menu hidden-md-and-up">
        <v-menu
            class="header-menu-xs"
            min-width="100%"
            :close-on-content-click="true"
            offset-y>
            <template v-slot:activator="{ on }">
                <v-app-bar-nav-icon color="black" v-on="on"/>
            </template>

            <v-card>
                <v-list>
                    <v-list-item>
                        <v-list-item-action>
                            <free-trial-button :trial-button-text="'Start your free trial now'"/>
                        </v-list-item-action>
                    </v-list-item>
                </v-list>

                <v-divider/>

                <v-list>
                    <v-list-item v-for="(link, key) in menu"
                                 :key="key"
                                 @click="routerLink(link.route)">
                        <v-list-item-action>
                            <v-btn
                                color="black"
                                text
                                rounded
                                class="my-2">
                                <span class="header-link-menu">{{ link.name }}</span>
                            </v-btn>
                        </v-list-item-action>
                    </v-list-item>
                </v-list>
            </v-card>
        </v-menu>
    </div>
</template>

<script>
import FreeTrialButton from '../../FreeTrialButton'
import router from '../../../router'
export default {
    name: 'Modal',
    components: {
        'free-trial-button': FreeTrialButton
    },
    props: {
        menu: {
            type: Object,
            default: () => { return {} }
        },
    },
    methods: {
        routerLink (menu) {
            router.push({ name: menu })
        },
    }
}
</script>

<style lang="scss" scoped>
    .header-menu {
        &-xs {
            width: 100%!important;
            left: 0!important;
            top: 80px!important;
        }
    }
    .v-menu__content,
    .v-card:not(.v-sheet--tile):not(.v-card--shaped) {
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }
    .v-menu__content--fixed {
        position: fixed;
        width: 100%;
        top: 80px !important;
        left: 0 !important;
    }
    .v-btn--icon.v-size--default .v-icon, .v-btn--fab.v-size--default .v-icon {
        font-size: 50px;
    }
</style>
